REST Documentation

View InboundXML Docs

Transcribe Audio URL

In addition to transcribing TelAPI recordings, our REST API also provides a way to transcribe any other audio that can be accessed via URL.

Request URI

Audio can be transcribed using the HTTP POST method. The format of the URI used to make the POST request is below.

POST https://api.telapi.com/v1/Accounts/{AccountSid}/Transcriptions

Parameters

The parameters below are used to specify the request behavior.

Parameter Description
required
URL where the audio to be transcribed is located.
optional
URL that will be requested when the transcription has finished processing.
optional
Specifies the HTTP method to use when requesting the TranscribeCallback URL.
Default Value:
POST
Allowed Value:
POST or GET
optional
Specifies the transcription quality. Transcription price differs for each quality tier. See pricing page for details.
Default Value:
auto
Allowed Value:
auto, silver, gold, or platinum

transcribeCallback URL Parameters

In addition to the default voice request parameters, these recording transcription specific parameters are also forwarded to the transcribeCallback URL.

Parameter Description
The status of the transcription.
An alphanumeric string identifying the transcription.
URL where the audio that has been transcribed is located.
The text of the transcription.

Example Response

An example of what a response to an audio transcription request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.